/**
 * It will build array of Nodes with co-ordinates
 */
export function buildNodes(chartData: any): any[];
export class buildNodes {
    /**
     * It will build array of Nodes with co-ordinates
     */
    constructor(chartData: any);
    viewBoxWidth: any;
    viewBoxHeight: any;
    dupnames: any[];
}
export function toggleChildren(d: any): void;
export function computeChilds(n: any, start: any, computedNodes: any): void;
/**
 * It will build levels or it will tell how deep is root object
 */
export function buildLevel(levels: any, nodes: any, idx?: number): void;
